Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
mark_stack Struct Reference

## Data Fields
stack_chunk_t * | chunk
stack_chunk_t * | cache
int | index
int | limit
size_t | cache_size
size_t | unused_cache_size

## Detailed Description

Definition at line 647 of file gc.c.

## Field Documentation

## ◆ cache

stack_chunk_t* mark_stack::cache

Definition at line 649 of file gc.c.

## ◆ cache_size

size_t mark_stack::cache_size

Definition at line 652 of file gc.c.

## ◆ chunk

stack_chunk_t* mark_stack::chunk

Definition at line 648 of file gc.c.

## ◆ index

int mark_stack::index

Definition at line 650 of file gc.c.

## ◆ limit

int mark_stack::limit

Definition at line 651 of file gc.c.

## ◆ unused_cache_size

size_t mark_stack::unused_cache_size

Definition at line 653 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c